package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWelcomeMedia;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 欢迎语媒体表(TabHaobanWelcomeMedia)表数据库访问层
 *
 * @author xugaojun
 * @since 2022-02-09 14:47:22
 */
public interface TabHaobanWelcomeMediaMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param welcomeMediaId 主键
     * @return 实例对象
     */
    TabHaobanWelcomeMedia queryById(Long welcomeMediaId);

    /**
     * 查询指定行数据
     *
     * @param offset 查询起始位置
     * @param limit 查询条数
     * @return 对象列表
     */
    List<TabHaobanWelcomeMedia> queryAllByLimit(@Param("offset") int offset, @Param("limit") int limit);


    /**
     * 通过实体作为筛选条件查询
     *
     * @param tabHaobanWelcomeMedia 实例对象
     * @return 对象列表
     */
    List<TabHaobanWelcomeMedia> queryAll(TabHaobanWelcomeMedia tabHaobanWelcomeMedia);

    /**
     * 新增数据
     *
     * @param tabHaobanWelcomeMedia 实例对象
     * @return 影响行数
     */
    int insert(TabHaobanWelcomeMedia tabHaobanWelcomeMedia);

    /**
     * 修改数据
     *
     * @param tabHaobanWelcomeMedia 实例对象
     * @return 影响行数
     */
    int update(TabHaobanWelcomeMedia tabHaobanWelcomeMedia);

    /**
     * 通过主键删除数据
     *
     * @param welcomeMediaId 主键
     * @return 影响行数
     */
    int deleteById(Long welcomeMediaId);

}
